Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.capabilities
Class WCTSCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.owscommon_1_1_0.CommonsDocument
              org.deegree.owscommon_1_1_0.OWSCommonCapabilitiesDocument
                  org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCTSConfigurationDocument

    public class WCTSCapabilitiesDocument

extends OWSCommonCapabilitiesDocument

`WCTSCapabilitiesDocument` parses a given wcts:Capabilities document version 0.4.0, with ows:Common 1.1.0 and csw 1.2.0.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`PRE_OWS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WCTSCapabilitiesDocument()`

Method Summary
`void` | `createEmptyDocument()` Creates a wcts 0.4.0 capabilities document with the rootnode set to wcts:Capabilities.
`OGCCapabilities` | `parseCapabilities(String configuredProvider)`
`protected Content` | `parseContents(String configuredProvider)` Parses the optional wcts:Content element of the wcts:Capabilities element.
`String` | `parseUpdateSequence()`
`String` | `parseVersion()`

Methods inherited from class org.deegree.owscommon_1_1_0.OWSCommonCapabilitiesDocument
`parseOperationsMetadata, parseServiceIdentification, parseServiceProvider`

Methods inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`parseBasicIdentificationType, parseContactInfo, parseDomainMetadataType, parseDomainMetadataTypes, parseDomainType, parseHTTPChild, parseIdentifier, parseKeywords, parseMetadata, parseMetadatas, parseOperations, parseServiceContact`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCTSCapabilitiesDocument

    public WCTSCapabilitiesDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()

  Creates a wcts 0.4.0 capabilities document with the rootnode set to wcts:Capabilities.

### parseCapabilities

    public OGCCapabilities parseCapabilities(String configuredProvider)
                                      throws InvalidCapabilitiesException

  Parameters:
    `configuredProvider` - the crs provider to be used for creation of CRS's (found in the deegreeparams section of the configuration). If `null` the default configured provider will be used.
  Returns:
    the OGCCapabilities parsed from the root node.
  Throws:
    `InvalidCapabilitiesException`

### parseVersion

    public String parseVersion()
                        throws InvalidCapabilitiesException

  Returns:
    the mandatory version string.
  Throws:
    `InvalidCapabilitiesException` - with code INVALIDPARAMETERVALUE, if the attribute was not given.

### parseUpdateSequence

    public String parseUpdateSequence()

  Returns:
    the optional updateSeqequence String.

### parseContents

    protected Content parseContents(String configuredProvider)
                             throws XMLParsingException,
                                    UnknownCRSException

  Parses the optional wcts:Content element of the wcts:Capabilities element.

  Parameters:
    `configuredProvider` - the crs provider to be used for creation of CRS's (found in the deegreeparams section of the configuration). If `null` the default configured provider will be used.
  Returns:
    the content bean representation
  Throws:
    `XMLParsingException`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org